deductionguidesforstd::pair(3)

NAME
deductionguidesforstd::pair - deductionguidesforstd::pair

Synopsis
   Defined in header <utility>
   template<class T1, class T2> (since C++17)
   pair(T1, T2) -> pair<T1, T2>;
   One deduction guide is provided for std::pair to account for the edge cases missed
   by the implicit deduction guides.
   In particular, non-copyable arguments and array to pointer conversion

Example
// Run this code
 #include <utility>
 int main()
 {
     int a[2], b[3];
     std::pair p{a, b}; // explicit deduction guide is used in this case
 }